package br.com.elife.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.validator.NotEmpty;
import org.hibernate.validator.NotNull;

/**
 * Classe persistente que encapsula as informacoes
 * dos tweets que mencionam determinada marca.
 * 
 * @author Demontie Junior
 *
 */
@Entity
@Table(name="tb_tweet_information")
public class TweetInformation {

	@Id @GeneratedValue
	private Long id;
	
	@NotNull
	@ManyToOne(optional=false)
	private TwitterUser author;
	
	@Column
	@NotEmpty
	private String brand;
	
	@Column
	private String tweet;
	
	@Column(unique=true)
	private Long tweetIdentifier;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public TwitterUser getAuthor() {
		return author;
	}

	public void setAuthor(TwitterUser author) {
		this.author = author;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getTweet() {
		return tweet;
	}

	public void setTweet(String tweet) {
		this.tweet = tweet;
	}

	public Long getTweetIdentifier() {
		return tweetIdentifier;
	}

	public void setTweetIdentifier(Long tweetIdentifier) {
		this.tweetIdentifier = tweetIdentifier;
	}
	
}
