package br.com.elife.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Classe persistente que representa um
 * usuário do Twitter.
 * 
 * @author Demontie Junior
 *
 */
@Entity
@Table(name="tb_user")
public class TwitterUser {

	@Id
	@Column
	private String login;
	
	@Column
	private Integer following;
	
	@Column
	private Integer followers;
	
	@Column
	private Integer tweets;

	public TwitterUser() {}
	
	public TwitterUser(String login, Integer followers, Integer following,
			Integer tweets) {
		this.login = login;
		this.followers = followers;
		this.following = following;
		this.tweets = tweets;
	}
	
	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public Integer getFollowing() {
		return following;
	}

	public void setFollowing(Integer following) {
		this.following = following;
	}

	public Integer getFollowers() {
		return followers;
	}

	public void setFollowers(Integer followers) {
		this.followers = followers;
	}

	public Integer getTweets() {
		return tweets;
	}

	public void setTweets(Integer integer) {
		this.tweets = integer;
	}
	
	@Override
	public String toString() {
		return getLogin();
	}
	
}
