package br.com.elife.persistence;

import java.io.Serializable;
import java.util.List;

import org.hibernate.Criteria;

/**
 * DAO (Data Access Object) do projeto. Funciona como 
 * fachada com o banco de dados.
 * 
 * @author Demontie Junior
 *
 */
public interface ProjectDAOLocal {

	public boolean persist(Object entity);

	public boolean update(Object entity);

	public boolean delete(Object entity);

	public <T> T find(Class<T> entityClass, Serializable id);

	public <T> List<T> findAll(Class<T> entityClass);
	
	public <T> Criteria createCriteria(Class<T> entityClass);
	
}
